summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-server/pvpgn/pvpgn-1.8.5-r1.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-server/pvpgn/pvpgn-1.8.5-r1.ebuild')
-rw-r--r--games-server/pvpgn/pvpgn-1.8.5-r1.ebuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/games-server/pvpgn/pvpgn-1.8.5-r1.ebuild b/games-server/pvpgn/pvpgn-1.8.5-r1.ebuild
new file mode 100644
index 00000000000..07fbf10d562
--- /dev/null
+++ b/games-server/pvpgn/pvpgn-1.8.5-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+SUPPORTP="${PN}-support-1.3"
+DESCRIPTION="A gaming server for Battle.Net compatible clients"
+HOMEPAGE="http://sourceforge.net/projects/pvpgn.berlios/"
+SRC_URI="mirror://sourceforge/pvpgn.berlios/${PN}-${PV/_/}.tar.bz2
+ mirror://sourceforge/pvpgn.berlios/${SUPPORTP}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="mysql postgres"
+
+DEPEND="mysql? ( virtual/mysql )
+ postgres? ( dev-db/postgresql[server] )"
+RDEPEND=${DEPEND}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-fhs.patch"
+}
+
+src_configure() {
+ cd src
+ # everything in GAMES_BINDIR (bug #63071)
+ egamesconf \
+ --sbindir="${GAMES_BINDIR}" \
+ $(use_with mysql) \
+ $(use_with postgres pgsql)
+}
+
+src_compile() {
+ emake -C src
+}
+
+src_install() {
+ local f
+
+ dodoc README README.DEV CREDITS BUGS TODO UPDATE version-history.txt
+ docinto docs
+ dodoc docs/*
+
+ emake -C src DESTDIR="${D}" install
+
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins "${WORKDIR}/${SUPPORTP}/"*
+
+ # GAMES_USER_DED here instead of GAMES_USER (bug #65423)
+ for f in bnetd d2cs d2dbs ; do
+ newinitd "${FILESDIR}/${PN}.rc" ${f}
+ sed -i \
+ -e "s:NAME:${f}:g" \
+ -e "s:GAMES_BINDIR:${GAMES_BINDIR}:g" \
+ -e "s:GAMES_USER:${GAMES_USER_DED}:g" \
+ -e "s:GAMES_GROUP:${GAMES_GROUP}:g" \
+ "${D}/etc/games/${PN}/${f}.conf" \
+ "${D}/etc/init.d/${f}" || die
+ done
+
+ keepdir $(find "${D}${GAMES_STATEDIR}"/${PN} -type d -printf "${GAMES_STATEDIR}/${PN}/%P ") "${GAMES_STATEDIR}"/${PN}/log
+ prepgamesdirs
+
+ chown -R ${GAMES_USER_DED}:${GAMES_GROUP} "${D}${GAMES_STATEDIR}/${PN}"
+ fperms 0775 "${GAMES_STATEDIR}/${PN}/log"
+ fperms 0770 "${GAMES_STATEDIR}/${PN}"
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "If this is a first installation you need to configure the package by"
+ elog "editing the configuration files provided in ${GAMES_SYSCONFDIR}/${PN}"
+ elog "Also you should read the documentation in /usr/share/docs/${PF}"
+ elog
+ elog "If you are upgrading you MUST read UPDATE in /usr/share/docs/${PF}"
+ elog "and update your configuration accordingly."
+ if use mysql ; then
+ elog
+ elog "You have enabled MySQL storage support. You will need to edit"
+ elog "bnetd.conf to use it. Read README.storage from the docs directory."
+ fi
+ if use postgres ; then
+ elog
+ elog "You have enabled PostgreSQL storage support. You will need to edit"
+ elog "bnetd.conf to use it. Read README.storage from the docs directory."
+ fi
+}